package wekan.wrapper.api;

import retrofit2.Call;
import retrofit2.http.*;
import wekan.wrapper.entity.Swimlane;

import java.util.List;

public interface SwimlanesService {
    @GET("/api/boards/{boardId}/swimlanes")
    Call<List<Swimlane>> getAllSwimlanes(@Path("boardId") String boardId);

    @FormUrlEncoded
    @POST("/api/boards/{boardId}/swimlanes")
    Call<Swimlane> newSwimlane(@Path("boardId") String boardId, @Field("title") String SwimlaneTitle);
}
