package wekan.wrapper.entity;

import com.google.gson.annotations.SerializedName;

public class Label {
    @SerializedName("_id")
    private String id;
    private String name;
    private LabelColor color;

    public Label(String id, String name, LabelColor color) {
        this.id = id;
        this.name = name;
        this.color = color;
    }

    public String getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public LabelColor getColor() {
        return color;
    }

    @Override
    public String toString() {
        return "Label{" +
                "id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", color=" + color +
                '}';
    }
}
